Index: src/sas/sasgui/guiframe/dataFitting.py
===================================================================
--- src/sas/sasgui/guiframe/dataFitting.py	(revision 1fac6c09c8ab1f0c228d078ee755bc91242e2fdc)
+++ src/sas/sasgui/guiframe/dataFitting.py	(revision 345e7e4a8c6f5977c8c07032553b5ab00bdf837d)
@@ -17,5 +17,5 @@
     """
     """
-    def __init__(self, x=None, y=None, dx=None, dy=None, lam=None, dlam=None, isSesans=False):
+    def __init__(self, x=None, y=None, dx=None, dy=None):
         """
         """
@@ -24,7 +24,6 @@
         if y is None:
             y = []
-        self.isSesans = isSesans
-        PlotData1D.__init__(self, x, y, dx, dy, lam, dlam)
-        LoadData1D.__init__(self, x, y, dx, dy, lam, dlam, isSesans)
+        PlotData1D.__init__(self, x, y, dx, dy)
+        LoadData1D.__init__(self, x, y, dx, dy)
         self.id = None
         self.list_group_id = []
@@ -69,5 +68,5 @@
         # First, check the data compatibility
         dy, dy_other = self._validity_check(other)
-        result = Data1D(x=[], y=[], lam=[], dx=None, dy=None, dlam=None)
+        result = Data1D(x=[], y=[], dx=None, dy=None)
         result.clone_without_data(length=len(self.x), clone=self)
         result.copy_from_datainfo(data1d=self)
@@ -116,11 +115,7 @@
         # First, check the data compatibility
         self._validity_check_union(other)
-        result = Data1D(x=[], y=[], lam=[], dx=None, dy=None, dlam=None)
+        result = Data1D(x=[], y=[], dx=None, dy=None)
         tot_length = len(self.x) + len(other.x)
         result = self.clone_without_data(length=tot_length, clone=result)
-        if self.dlam == None or other.dlam is None:
-            result.dlam = None
-        else:
-            result.dlam = numpy.zeros(tot_length)
         if self.dy == None or other.dy is None:
             result.dy = None
@@ -146,9 +141,4 @@
         result.y = numpy.append(self.y, other.y)
         result.y = result.y[ind]
-        result.lam = numpy.append(self.lam, other.lam)
-        result.lam = result.lam[ind]
-        if result.dlam != None:
-            result.dlam = numpy.append(self.dlam, other.dlam)
-            result.dlam = result.dlam[ind]
         if result.dy != None:
             result.dy = numpy.append(self.dy, other.dy)
@@ -270,11 +260,7 @@
         # First, check the data compatibility
         self._validity_check_union(other)
-        result = Data1D(x=[], y=[], lam=[], dx=None, dy=None, dlam=[])
+        result = Data1D(x=[], y=[], dx=None, dy=None)
         tot_length = len(self.x)+len(other.x)
         result.clone_without_data(length=tot_length, clone=self)
-        if self.dlam == None or other.dlam is None:
-            result.dlam = None
-        else:
-            result.dlam = numpy.zeros(tot_length)
         if self.dy == None or other.dy is None:
             result.dy = None
@@ -299,6 +285,4 @@
         result.y = numpy.append(self.y, other.y)
         result.y = result.y[ind]
-        result.lam = numpy.append(self.lam, other.lam)
-        result.lam = result.lam[ind]
         if result.dy != None:
             result.dy = numpy.append(self.dy, other.dy)
Index: src/sas/sasgui/guiframe/data_manager.py
===================================================================
--- src/sas/sasgui/guiframe/data_manager.py	(revision 1fac6c09c8ab1f0c228d078ee755bc91242e2fdc)
+++ src/sas/sasgui/guiframe/data_manager.py	(revision 345e7e4a8c6f5977c8c07032553b5ab00bdf837d)
@@ -62,8 +62,6 @@
         if issubclass(Data2D, data.__class__):
             new_plot = Data2D(image=None, err_image=None) 
-        elif data.meta_data['loader'] == 'SESANS':
-            new_plot = Data1D(x=[], y=[], dx=None, dy=None, lam=None, dlam=None, isSesans=True)
-        else:
-            new_plot = Data1D(x=[], y=[], dx=None, dy=None, lam=None, dlam=None) #SESANS check???
+        else: 
+            new_plot = Data1D(x=[], y=[], dx=None, dy=None)
            
         new_plot.copy_from_datainfo(data)
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 67b0a99ce9f69a9dfef035e8e4a06588c9f1602f)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 345e7e4a8c6f5977c8c07032553b5ab00bdf837d)
@@ -143,5 +143,4 @@
         self.theory_qmin_x = None
         self.theory_qmax_x = None
-        self.cb1 = None
         self.btEditMask = None
         self.btFit = None
@@ -282,8 +281,6 @@
                            num=self.npts_x, endpoint=True)
         self.data = Data1D(x=x)
-        #self.data.xaxis('\\rm{Q}', "A^{-1}")
-        self.data.xaxis('\\rm{X}', "")
-        #self.data.yaxis('\\rm{Intensity}', "cm^{-1}")
-        self.data.yaxis('\\rm{Y}', "")
+        self.data.xaxis('\\rm{Q}', "A^{-1}")
+        self.data.yaxis('\\rm{Intensity}', "cm^{-1}")
         self.data.is_data = False
         self.data.id = str(self.uid) + " data"
@@ -310,8 +307,6 @@
                            num=self.npts_x, endpoint=True, base=10.0)
         self.data = Data1D(x=x)
-        #self.data.xaxis('\\rm{Q}', "A^{-1}")
-        #self.data.yaxis('\\rm{Intensity}', "cm^{-1}")
-        self.data.xaxis('\\rm{X}', "")
-        self.data.yaxis('\\rm{Y}', "")
+        self.data.xaxis('\\rm{Q}', "A^{-1}")
+        self.data.yaxis('\\rm{Intensity}', "cm^{-1}")
         self.data.is_data = False
         self.data.id = str(self.uid) + " data"
@@ -1129,7 +1124,4 @@
         # set data, etc. from the state
         # reset page between theory and fitting from bookmarking
-        #if state.data == None:
-        #    data = None
-        #else:
         data = state.data
 
@@ -1348,8 +1340,4 @@
                         except Exception:
                             logging.error(traceback.format_exc())
-
-        # Make sure the check box updated when all checked
-        if self.cb1.GetValue():
-            self.select_all_param(None)
 
     def _selectDlg(self):
@@ -2493,8 +2481,6 @@
                         item[2].Enable()
 
-            # Make sure the check box updated when all checked
-            if self.cb1.GetValue():
-                #self.select_all_param(None)
-                self.get_all_checked_params()
+            # Make sure the check box updated
+            self.get_all_checked_params()
 
             # update params
@@ -3675,8 +3661,4 @@
         call back for model selection if implemented
         """
-    def select_all_param(self, event):
-        """
-        set to true or false all checkBox if implemented
-        """
     def get_weight_flag(self):
         """
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 55db50176845da6589edc694cd3c2436715e9c73)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 345e7e4a8c6f5977c8c07032553b5ab00bdf837d)
@@ -168,5 +168,4 @@
             self.set_data(data)
         elif self.dataSource.GetCount() > 0:
-
             pos = self.dataSource.GetSelection()
             data = self.dataSource.GetClientData(pos)
@@ -618,5 +617,5 @@
         # fill a sizer with the combobox to select dispersion type
         model_disp = wx.StaticText(self, wx.ID_ANY, 'Function')
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
 
         ix = 0
@@ -962,5 +961,4 @@
 
         self.state.model = self.model.clone()
-
         # save state into
         self._copy_parameters_state(self.parameters, self.state.parameters)
@@ -973,5 +971,4 @@
         wx.PostEvent(self.parent,
                      StatusEvent(status=" Selected Distribution: Gaussian"))
-
         # Fill the list of fittable parameters
         self.get_all_checked_params()
@@ -2685,5 +2682,4 @@
         self._manager.set_param2fit(self.uid, param2fit)
 
-
     def select_param(self, event=None):
         """
@@ -2732,10 +2728,4 @@
         if len(self.fittable_param) > 0:
             len_orient_para *= 2
-        #Set the value of checkbox that selected every checkbox or not
-        if len(self.parameters) + len(self.fittable_param) - len_orient_para \
-            == len(self.param_toFit):
-            self.cb1.SetValue(True)
-        else:
-            self.cb1.SetValue(False)
 
         self.save_current_state_fit()
@@ -2839,12 +2829,6 @@
         iy = 0
         ix = 0
-        select_text = "Select All"
-        self.cb1 = wx.CheckBox(self, wx.ID_ANY, str(select_text), (10, 10))
-        wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_param)
-        self.cb1.SetToolTipString("To check/uncheck all the boxes below.")
-        self.cb1.SetValue(True)
-
-        sizer.Add(self.cb1, (iy, ix), (1, 1), \
-                             wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
+        sizer.Add(wx.StaticText(self, wx.ID_ANY, 'Parameter'),
+                  (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         self.text2_2 = wx.StaticText(self, wx.ID_ANY, 'Value')
@@ -2873,5 +2857,5 @@
         self.text2_4.Hide()
 
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
         for item in keys:
 
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision 80f46846f5b08d9cfb2ff0e58faab64f8106db49)
+++ src/sas/sasgui/plottools/plottables.py	(revision 345e7e4a8c6f5977c8c07032553b5ab00bdf837d)
@@ -1023,5 +1023,5 @@
     """
 
-    def __init__(self, x, y, dx=None, dy=None, lam=None, dlam=None):
+    def __init__(self, x, y, dx=None, dy=None):
         """
         Draw points specified by x[i],y[i] in the current color/symbol.
@@ -1037,8 +1037,6 @@
         self.x = x
         self.y = y
-        self.lam = lam
         self.dx = dx
         self.dy = dy
-        self.dlam = dlam
         self.source = None
         self.detector = None
